﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the AIReadInterval project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using AIReadInterval.ALLDAQ;

namespace AIReadInterval.Utility
{
    public class CsvProperties
    {
        public AnalogInputModule AiModule
        {
            get; set;
        }
        public SignalUtility SignalUtility
        {
            get; set;
        }
        public string FolderName
        {
            get; set;
        }
        public bool SaveAllValues
        {
            get; set;
        }
        public bool SaveCalculatedValues
        {
            get; set;
        }
        public bool SaveFftValues
        {
            get; set;
        }
        public bool SaveFftCoherentValues
        {
            get; set;
        }
        public string FormatStringDigitalAndPhysical
        {
            get; set;
        }
        public string FormatStringPhysValues
        {
            get; set;
        }
        public string FormatStringFftValues
        {
            get; set;
        }
    }
}
