﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

namespace WriteBufferAO.Models
{
    public interface ISignalGenerator
    {
        string GeneratorIcon { get; }
        string GeneratorName { get; }
        double GetValue(double cycleTime, double signalMinimum, double signalMaximum);
    }
}
