﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using Microsoft.Win32;
using System.Windows;

namespace WriteBufferAO.ViewModels
{
    public class DialogService : IDialogService
    {
        public string BrowseFileDialog(string defaultPath, string filter)
        {
            var ofd = new OpenFileDialog
            {
                InitialDirectory = defaultPath,
                Filter = filter
            };

            ofd.ShowDialog(Application.Current.MainWindow);
            return ofd.FileName;
        }
    }
}
