﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the Interrupt project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Imports System.Globalization

Public Class InputValidation
    Public Shared Function ValidateHexValue(textValue As String, ByRef hexValue As UInteger) As String
        hexValue = 0
        Dim msg As String = String.Empty
        If (String.IsNullOrEmpty(textValue)) Then
            msg = "Enter a valid number"
        ElseIf (Not UInteger.TryParse(textValue, NumberStyles.AllowHexSpecifier, CultureInfo.InvariantCulture, hexValue)) Then
            msg = "The entered text """ & textValue & """ is not a valid number"
        End If
        Return msg
    End Function
End Class
