﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the example projects of the ALLDAQ-SDK.  
' 
'-----------------------------------------------------------------------------

Public Class AboutBox
    Sub New(parent As Window)

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Owner = parent
    End Sub

    Public ReadOnly Property Description As String
        Get
            Return My.Application.Info.Description _
                    & Environment.NewLine & "SDK programming example, written in Visual Basic" _
                    & Environment.NewLine _
                    & Environment.NewLine & "ALLDAQ, a division of ALLNET GmbH" _
                    & Environment.NewLine & "Maistrasse 2" _
                    & Environment.NewLine & "D-82110 Germering" _
                    & Environment.NewLine & "Germany" _
                    & Environment.NewLine _
                    & Environment.NewLine & "https://www.alldaq.com"
        End Get
    End Property

    Public ReadOnly Property ProductTitle As String
        Get
            Return My.Application.Info.Title
        End Get
    End Property

    Public ReadOnly Property AppName As String
        Get
            Return My.Application.Info.ProductName
        End Get
    End Property

    Public ReadOnly Property AppVersion As String
        Get
            Return My.Application.Info.Version.ToString
        End Get
    End Property

    Public ReadOnly Property CopyRight As String
        Get
            Return My.Application.Info.Copyright
        End Get
    End Property

    Public ReadOnly Property Company As String
        Get
            Return My.Application.Info.CompanyName
        End Get
    End Property

    Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
        Close()
    End Sub
End Class
