﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the AIReadContinuous project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

namespace AIReadContinuous.ALLDAQ
{
    public class ChannelSetting
    {
        public ChannelSetting(uint channelIndex, AnalogRange range)
        {
            ChannelIndex = channelIndex;
            Range = range;
        }

        public uint ChannelIndex { get; }
        public AnalogRange Range { get; }
    }
}
