﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the AIReadInterval project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

namespace AIReadInterval.ALLDAQ
{
    public class ChannelSetting
    {
        public ChannelSetting(uint channelIndex, AnalogRange range)
        {
            ChannelIndex = channelIndex;
            Range = range;
        }

        public uint ChannelIndex
        {
            get;
        }
        public AnalogRange Range
        {
            get;
        }
    }
}
