﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using WriteBufferAO.ViewModels;

namespace WriteBufferAO.Messaging
{
    public class ModuleStatusMessage
    {
        public ModuleStatusMessage(AoModuleViewModel moduleViewModel, bool isIdle)
        {
            ModuleViewModel = moduleViewModel;
            IsIdle = isIdle;
        }

        public AoModuleViewModel ModuleViewModel { get; }
        public bool IsIdle { get; }
    }
}
