﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

namespace WriteBufferAO.ViewModels
{
    public class CsvColumnHeader
    {
        public CsvColumnHeader(string columnName, int columnIndex)
        {
            ColumnName = columnName;
            ColumnIndex = columnIndex;
        }

        public string ColumnName { get; }
        public int ColumnIndex { get; }
    }
}
