﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the AIReadContinuous project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Public Class ChannelSetting
    Public Sub New(channelIndex As UInteger, range As AnalogRange)
        _channelIndex = channelIndex
        _range = range
    End Sub

    Private _channelIndex As UInteger
    Public ReadOnly Property ChannelIndex As UInteger
        Get
            Return _channelIndex
        End Get
    End Property

    Private _range As AnalogRange
    ReadOnly Property Range As AnalogRange
        Get
            Return _range
        End Get
    End Property
End Class
