﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'      This file contains a programming example for Intel counter 82C54 ICs
'      on ALLDAQ Data Acquisition Boards
'-----------------------------------------------------------------------------

Public Class ClockSourceComboBoxItem
    ReadOnly _clockSourceName As String

    Sub New(clockSource As UInteger)
        GetValue = clockSource
        _clockSourceName = AdqCommon.GetCounterClockSourceName(clockSource)
    End Sub

    Public Overrides Function ToString() As String
        Return _clockSourceName
    End Function

    ReadOnly Property GetValue As UInteger
End Class
