﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the ReadBuffer project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Public Class CustomTabControl
    Inherits TabControl

    Private Const TCM_ADJUSTRECT As Integer = &H1328

    Protected Overrides Sub WndProc(ByRef m As Message)
        ' Hide the tab headers at run-time
        If (m.Msg = TCM_ADJUSTRECT AndAlso Not DesignMode) Then
            m.Result = CType(1, IntPtr)
            Return
        End If
        MyBase.WndProc(m)
    End Sub
End Class
