//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the adqWriteContinuousCallback project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

#pragma once

#include <string>

class ISignalGenerator
{
public:    
    virtual ~ISignalGenerator(void) {};
    virtual std::wstring GetGeneratorName() = 0;
    virtual double GetValue(double cycleTime, double signalMaximum) = 0;
};
